%define module	tables
%define name 	python-%{module}
%define version 2.3.1
%define release %mkrel 1

Summary: 	Hierarchical datasets in Python
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://www.pytables.org/download/stable/%{module}-%{version}.tar.gz
Patch0:		setup.py.patch
License: 	BSD
Group: 	 	Development/Python
Url: 	 	http://www.pytables.org
Requires: 	python-numpy >= 1.4.1
Requires:	python-numexpr >= 1.4.1
BuildRequires:	python-numpy >= 1.4.1, python-numpy-devel >= 1.4.1
BuildRequires:	python-numexpr >= 1.4.1
BuildRequires: 	hdf5-devel >= 1.6.10, bzip2-devel, liblzo-devel
BuildRequires:	python-cython >= 0.13
BuildRequires:	python-setuptools
BuildRequires:	python-devel

%description
PyTables is a Python package for managing hierarchical datasets
designed to efficiently and easily cope with extremely large amounts
of data. It is built on top of the HDF5 library and the NumPy package
(numarray and Numeric are also supported). PyTables features an
object-oriented interface and performance-critical extensions coded in
C (generated using Pyrex) that make it a fast yet extremely
easy-to-use tool for interactively processing and searching through
very large amounts of data. PyTables also optimizes memory and disk
resources so that data occupies much less space than with other
solutions such as relational or object-oriented databases (especially
when compression is used).

%prep 
%setup -q -n %{module}-%{version}
%patch0 -p0

%build
export LIBS="dl m"
PYTHONDONTWRITEBYTECODE= %__python setup.py build

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%doc *.txt doc/*.pdf LICENSES examples


%changelog

* Sun Oct 30 2011 lebedov <lebedov> 2.3.1-1.mga2
+ Revision: 159903
- Update to 2.3.1.

* Mon Sep 26 2011 lebedov <lebedov> 2.3-1.mga2
+ Revision: 148858
- Update to 2.3.

* Sun Sep 18 2011 lebedov <lebedov> 2.2.1-1.mga2
+ Revision: 145203
- Update spec file.
- imported package python-tables

